Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  trait PresentationCompilation extends AnyRef
  Definition Classes
    interpreter
- PresentationCompileResult

c

scala.tools.nsc.interpreter.PresentationCompilation

# PresentationCompileResult

###

#### abstract class PresentationCompileResult extends PresentationCompilationResult

Source
  PresentationCompilation.scala

Linear Supertypes
PresentationCompilationResult, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PresentationCompileResult
2. PresentationCompilationResult
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PresentationCompileResult(compiler: interactive.Global, inputRange: Position, cursor: Int, buf: String)

### Type Members

1.  type Candidates = (Int, List[CompletionCandidate])

### Abstract Value Members

1.  abstract val unit: interactive.Global.RichCompilationUnit

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from IMain.PresentationCompileResult toany2stringadd[IMain.PresentationCompileResult] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (IMain.PresentationCompileResult, B)
   Implicit
     This member is added by an implicit conversion from IMain.PresentationCompileResult toArrowAssoc[IMain.PresentationCompileResult] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val NoCandidates: (Int, collection.immutable.Nil.type)
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val buf: String

   The user's input

   The user's input

   Definition Classes
     PresentationCompileResult → PresentationCompilationResult
9.  def cleanup(): Unit
   Definition Classes
     PresentationCompileResult → PresentationCompilationResult
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  val compiler: interactive.Global
12.  def completionCandidates(tabCount: Int): Candidates
    Definition Classes
      PresentationCompileResult → PresentationCompilationResult
13.  def completionsAt(cursor: Int): CompletionResult
14.  val cursor: Int

    The 0-based offset of the cursor into `buf`

    The 0-based offset of the cursor into `buf`

    Definition Classes
      PresentationCompileResult → PresentationCompilationResult
15.  def ensuring(cond: (IMain.PresentationCompileResult) => Boolean, msg: => Any): IMain.PresentationCompileResult
    Implicit
      This member is added by an implicit conversion from IMain.PresentationCompileResult toEnsuring[IMain.PresentationCompileResult] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: (IMain.PresentationCompileResult) => Boolean): IMain.PresentationCompileResult
    Implicit
      This member is added by an implicit conversion from IMain.PresentationCompileResult toEnsuring[IMain.PresentationCompileResult] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: => Any): IMain.PresentationCompileResult
    Implicit
      This member is added by an implicit conversion from IMain.PresentationCompileResult toEnsuring[IMain.PresentationCompileResult] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): IMain.PresentationCompileResult
    Implicit
      This member is added by an implicit conversion from IMain.PresentationCompileResult toEnsuring[IMain.PresentationCompileResult] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from IMain.PresentationCompileResult toStringFormat[IMain.PresentationCompileResult] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
23.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  val inputRange: Position

    The start and end of this range position correspond to the start and end of user input inside `buf` Start may not be zero if there's leading whitespace/comments, which are not represented as trees.

    The start and end of this range position correspond to the start and end of user input inside `buf` Start may not be zero if there's leading whitespace/comments, which are not represented as trees. Similarly for the end position.

    Definition Classes
      PresentationCompileResult → PresentationCompilationResult
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  def positionOf(cursor: Int): Position
31.  def print: String
    Definition Classes
      PresentationCompileResult → PresentationCompilationResult
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  def treeAt(pos: Position): interactive.Global.Tree
35.  def treeAt(start: Int, end: Int): interactive.Global.Tree
36.  def treeString(tree: interactive.Global.Tree): String
37.  def typeAt(start: Int, end: Int): String
    Definition Classes
      PresentationCompileResult → PresentationCompilationResult
38.  def typeString(tree: interactive.Global.Tree): String
39.  def typedTreeAt(selectionStart: Int, selectionEnd: Int): interactive.Global.Tree
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def candidates(tabCount: Int): (Int, List[String])
   Definition Classes
     PresentationCompilationResult
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.2) `completionCandidates` returns richer information (CompletionCandidates, not just strings)

2.  def →[B](y: B): (IMain.PresentationCompileResult, B)
   Implicit
     This member is added by an implicit conversion from IMain.PresentationCompileResult toArrowAssoc[IMain.PresentationCompileResult] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from PresentationCompilationResult

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromIMain.PresentationCompileResult to any2stringadd[IMain.PresentationCompileResult]

### Inherited by implicit conversion StringFormat fromIMain.PresentationCompileResult to StringFormat[IMain.PresentationCompileResult]

### Inherited by implicit conversion Ensuring fromIMain.PresentationCompileResult to Ensuring[IMain.PresentationCompileResult]

### Inherited by implicit conversion ArrowAssoc fromIMain.PresentationCompileResult to ArrowAssoc[IMain.PresentationCompileResult]

### Ungrouped